Cyberduck Mountain Duck CLI

#2572 closed enhancement (worksforme)

Add support for droplets

Reported by: mozilla.by@… Owned by: dkocher
Priority: normal Milestone: 4.0
Component: interface Version: 3.0.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hello Cyberduck Team!

Thank you very much for your great product. I'd like propose you to implement minor enhancement:

There is wonderful ability now to drag'n'drop files directly into bookmark. Application understands this and immediately uploads a file on the server and path defined by this bookmark.

But what about situation when main window isn't visible? It could be amazing if Cyberduck would automatically open main window when user drags a file over duck icon in Dock (just like it's done in Finder).

I hope you understood my idea.

Thanks, Vadim

Change History (7)

comment:1 Changed on Oct 18, 2008 at 12:44:48 PM by dkocher

  • Milestone 3.1 deleted
  • Resolution set to wontfix
  • Status changed from new to closed

I do not understand your feature request. If a new browser window should be opened automatically, to what server should it connect to?

comment:2 Changed on May 30, 2009 at 5:54:31 PM by violasonggoo@…

Hi David & the Cyberduck team,

Thanks for such a fantastic FTP program!

I'd like to add to this user's request with what I think he means:

What would be fantastic is if you could create droplets -- drag a /bookmark/ onto the dock (or desktop, etc), and drag files onto the bookmark to have it automatically upload to that bookmarked server.

When I read the Bookmark section on the homepage ("Drag and drop bookmarks to the Finder.app and drop files onto bookmarks to upload") I actually thought it would already do this. You might want to reword it a bit, maybe to something like "Drop files onto bookmarks to upload, and drag and drop bookmarks into Finder for quick access."

Victoria

comment:3 Changed on Sep 6, 2009 at 1:19:27 PM by mammaform@…

i think if i make a bookmark on the finder i should be able to drag files into it to upload to ther server. But it won't work.

The way droplet is discribe in the website let you think you can do that.

comment:4 Changed on Nov 14, 2009 at 1:42:17 PM by dkocher

Thanks for your efforts Victoria, but actually it's not I wanted. Now I'll try to explain what I meant initially.

Forget about Cyberduck and remember Finder. Let's create a file Test.txt on Desktop. Now down the mouse over it and start dragging. Next, drag it and hold over Finder icon in the Dock. After some seconds Finder will open new window. And now you can continue dragging the file over folders in the newly opened Finder window. Finder will open any folder you drag Test.txt over and finally you can drop! the file (from the Desktop) to the currently opened folder.

The same thing is about Cyberduck. Currently you can drag Test.txt over application's icon in the Dock and Cyberduck is opening its main window and brings it on front but you cannot drop the file into bookmark some why. I asked about an ability to drop files into bookmarks of the Cyberduck application even if main window is initially closed in the same way as it does Finder app.

comment:5 Changed on Mar 3, 2010 at 9:45:54 AM by yla

  • Component changed from core to interface
  • Resolution wontfix deleted
  • Status changed from closed to reopened
  • Summary changed from Open from Dock Feature to Add support for droplets

Droplet support should be reconsidered. See also #4269.

comment:6 Changed on Jan 27, 2011 at 11:06:23 PM by dkocher

Not the same but you might be interested in the new option to upload files using the ''Services'' menu (available in the Finder) and choosing a bookmark when dragging files to the application icon in the Dock.

comment:7 Changed on Mar 17, 2011 at 10:03:01 AM by dkocher

  • Milestone set to 4.0
  • Resolution set to worksforme
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software